Bug 135612 - system hang, not responsive to ping or alt-syrq-*
Summary: system hang, not responsive to ping or alt-syrq-*
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
(Show other bugs)
Version: 5
Hardware: i686 Linux
medium
high
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard: MassClosed
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-10-13 19:37 UTC by Jason Baron
Modified: 2015-01-04 22:10 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-20 04:37:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg listing (15.07 KB, text/plain)
2004-10-13 21:25 UTC, Jason Baron
no flags Details

Description Jason Baron 2004-10-13 19:37:04 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.3)
Gecko/20040803

Description of problem:
System will lockup, or hang after some arbitrary time after boot. I
attached a serial console and found the following messages coming from
the kernel indefinitely during this hang:

_timer_expiry: dma status == 0x64

hda: DMA interrupt recovery

hda: lost interrupt

hda: dma_timer_expiry: dma status == 0x64

hda: DMA interrupt recovery

hda: lost interrupt

hda: dma_timer_expiry: dma status == 0x64

hda: DMA interrupt recovery

hda: lost interrupt

hda: dma_timer_expiry: dma status == 0x64

hda: DMA interrupt recovery

hda: lost interrupt

hda: dma_timer_expiry: dma status == 0x64

hda: DMA interrupt recovery

hda: lost interrupt


Version-Release number of selected component (if applicable):
kernel-2.6.8-1.610smp

How reproducible:
Always

Steps to Reproduce:
1. install latest rawhide
2. boot
3. 
    

Actual Results:  hangs after up for some time

Expected Results:  no hang

Additional info:

related to bugzilla #133526?

Comment 1 Jason Baron 2004-10-13 19:37:58 UTC
Adding Alan to the 'cc list for this one. 

Comment 2 Jason Baron 2004-10-13 19:51:49 UTC
Also, this isn't a h/w problem since i've been running rhel2.1 for 2
plus years on this system...

Comment 3 Bill Nottingham 2004-10-13 20:52:29 UTC
What sort of IDE hardware?


Comment 4 Jason Baron 2004-10-13 21:25:43 UTC
Created attachment 105165 [details]
dmesg listing

Comment 5 Alan Cox 2004-10-13 22:41:50 UTC
Talk to Bartlomiej. There have been a couple of reports like this and
he's fixed at least one race in 2.6.9rc related to that kind of crash.


Comment 6 Alan Cox 2004-10-13 22:50:00 UTC
Just as a sanity check too please try both

booting with acpi=off
disabling USB legacy support


Comment 7 Jason Baron 2004-10-15 16:57:14 UTC
Those options didn't resolve this issue for me

Comment 10 Dave Jones 2005-10-06 03:10:41 UTC
is this still occuring with current kernels too ?
(I guess this should be cloned as a RHEL4 bug now too)


Comment 11 Dave 2006-04-29 22:22:48 UTC
I am seeing this on a FC4 box with the latest 2.6.16-1.2096 kernel.

I also experienced the same problems with 2.6.16-1.2069.

This machine is currently running 2.6.14-1.1656_FC4 which does not appear to suffer.

The machine is my central storage server, I can't afford to take it off-line
very often, but will assist where possible.

Comment 12 Dave Russell 2006-09-03 17:38:26 UTC
I'm happy to help with this in terms of testing, but I could really do with some
assistance here.

Comment 13 Dave Jones 2006-10-16 20:27:20 UTC
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.

Comment 14 Dave Russell 2007-10-24 12:30:50 UTC
I haven't seen this in a long time, and I no longer have the hardware that
seemed to be susceptible to this, is anyone actually seeing this error any more?

Comment 15 Jon Stanley 2008-01-20 04:37:50 UTC
(this is a mass-close to kernel bugs in NEEDINFO state)

As indicated previously there has been no update on the progress of this bug
therefore I am closing it as INSUFFICIENT_DATA. Please re-open if the issue
still occurs for you and I will try to assist in its resolution. Thank you for
taking the time to report the initial bug.

If you believe that this bug was closed in error, please feel free to reopen
this bug.


Note You need to log in before you can comment on or make changes to this bug.